import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from './module/user/state';
import * as umutations from './module/user/mutations';
import admin from './module/user/action';
import users from './module/user/users';

import todo from './module/statistics/todo';
import sellTotal from './module/statistics/sellTotal';
import getBill from './module/statistics/getBill';
import outBill from './module/statistics/outBill';

import dictIndex from './module/dev/dictIndex';
import dictData from './module/dev/dictData';
import menus from './module/dev/menus';
import role from './module/dev/role';

import goodsTags from './module/system/goodsTags';
import banner from './module/system/banner';
import indexModule from './module/system/indexModule';
import actTags from './module/system/actTags';
import config from './module/system/config';
import platformAct from './module/system/platformAct';
import goodsJoinAct from './module/system/goodsJoinAct';
import admins from './module/system/admin';

import shop from './module/shop/shop';
import goods from './module/shop/goods';
import serviceContact from './module/shop/serviceContact';
import goodsSpec from './module/shop/goodsSpec';
import afterSale from './module/shop/afterSale';
import getTransportInfo from './module/shop/getTransportInfo';
import goodsRate from './module/shop/goodsRate';

import order from './module/trade/order';
import orderDetail from './module/trade/orderDetail';
import sot from './module/trade/sot';
import coupon from './module/trade/coupon';
import cashOut from './module/trade/cashOut';

import zrGoods from './module/zr/zrGoods';
import zrOrder from './module/zr/zrOrder';
import zrSot from './module/zr/zrSot';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    users,
    admin,
    shop,
    goods,
    dictIndex,
    dictData,
    menus,
    role,
    goodsTags,
    banner,
    indexModule,
    goodsSpec,
    order,
    orderDetail,
    coupon,
    afterSale,
    getTransportInfo,
    serviceContact,
    sot,
    todo,
    sellTotal,
    actTags,
    config,
    platformAct,
    goodsJoinAct,
    goodsRate,
    getBill,
    outBill,
    admins,
    cashOut,
    zrGoods,
    zrOrder,
    zrSot,
  },
});
